apiVersion: triggers.tekton.dev/v1alpha1
kind: EventListener
metadata:
  name: ns-conf-listener
spec:
  serviceAccountName: pipeline
  triggers:
    - name: ns-conf-listener
      interceptors:
        - params:
            - name: secretRef
              value:
                secretKey: token
                secretName: gitlab-webhook-token
            - name: eventTypes
              value:
                - Push Hook
          ref:
            kind: ClusterInterceptor
            name: gitlab
        - params:
            - name: overlays
              value:
                - expression: body.ref.split('/')[body.ref.split('/').size()-1].replace(' ','-').replace('.','-').replace('_','-').lowerAscii()
                  key: branch_name
                - expression: body.repository.url.split('/')[body.repository.url.split('/').size()-1].replace('.git','').replace(' ','-').replace('.','-').replace('_','-').lowerAscii()
                  key: repository_name
          ref:
            kind: ClusterInterceptor
            name: cel
      bindings:
        - kind: TriggerBinding
          ref: ns-conf-trigger-binding
      template:
        ref: ns-conf-trigger-template
